VTK: vtkSelectionSource Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkSelectionSource Class Reference

Generate selection from given set of ids. More...

`#include <vtkSelectionSource.h>`

Inheritance diagram for vtkSelectionSource:
[legend]
Collaboration diagram for vtkSelectionSource:
[legend]

## Public Types
typedef vtkSelectionAlgorithm | Superclass
Public Types inherited from vtkSelectionAlgorithm
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkSelectionSource * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | RemoveAllNodes ()
| Remove all selection nodes. More...
void | SetNumberOfNodes (unsigned int numberOfNodes)
| Set/Get the number of nodes that will be created for the generated selection. More...
unsigned int | GetNumberOfNodes ()
| Set/Get the number of nodes that will be created for the generated selection. More...
void | RemoveNode (unsigned int idx)
| Remove a selection node. More...
void | RemoveNode (const char *name)
| Remove a selection node. More...
| vtkSetStdStringFromCharMacro (Expression)
| Set/Get the expression that defines the boolean expression to combine the selection nodes. More...
| vtkGetCharFromStdStringMacro (Expression)
| Set/Get the expression that defines the boolean expression to combine the selection nodes. More...
virtual void | SetFieldType (int)
| Set/Get the field type for the generated selection. More...
virtual int | GetFieldType ()
| Set/Get the field type for the generated selection. More...
virtual void | SetElementType (int)
| Set/Get which types of elements are being selected. More...
virtual int | GetElementType ()
| Set/Get which types of elements are being selected. More...
virtual void | SetProcessID (int)
| Set/Get which process to limit the selection to. More...
virtual int | GetProcessID ()
| Set/Get which process to limit the selection to. More...
void | SetNodeName (unsigned int nodeId, const char *name)
| Set/Get the node name. More...
void | SetNodeName (const char *name)
| Set/Get the node name. More...
const char * | GetNodeName (unsigned int nodeId)
| Set/Get the node name. More...
const char * | GetNodeName ()
| Set/Get the node name. More...
void | AddID (unsigned int nodeId, vtkIdType piece, vtkIdType id)
| Add a (piece, id) to the selection set. More...
void | AddID (vtkIdType piece, vtkIdType id)
| Add a (piece, id) to the selection set. More...
void | AddStringID (unsigned int nodeId, vtkIdType piece, const char *id)
| Add a (piece, id) to the selection set. More...
void | AddStringID (vtkIdType piece, const char *id)
| Add a (piece, id) to the selection set. More...
void | AddLocation (unsigned int nodeId, double x, double y, double z)
| Add a point in world space to probe at. More...
void | AddLocation (double x, double y, double z)
| Add a point in world space to probe at. More...
void | AddThreshold (unsigned int nodeId, double min, double max)
| Add a value range to threshold within. More...
void | AddThreshold (double min, double max)
| Add a value range to threshold within. More...
void | SetFrustum (unsigned int nodeId, double *vertices)
| Set a frustum to choose within. More...
void | SetFrustum (double *vertices)
| Set a frustum to choose within. More...
void | AddBlock (unsigned int nodeId, vtkIdType block)
| Add the flat-index/composite index for a block. More...
void | AddBlock (vtkIdType blockno)
| Add the flat-index/composite index for a block. More...
void | AddBlockSelector (unsigned int nodeId, const char *block)
| Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type. More...
void | AddBlockSelector (const char *selector)
| Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type. More...
void | RemoveAllBlockSelectors (unsigned int nodeId)
| Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type. More...
void | RemoveAllBlockSelectors ()
| Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type. More...
void | RemoveAllIDs (unsigned int nodeId)
| Removes all IDs. More...
void | RemoveAllIDs ()
| Removes all IDs. More...
void | RemoveAllStringIDs (unsigned int nodeId)
| Removes all IDs. More...
void | RemoveAllStringIDs ()
| Removes all IDs. More...
void | RemoveAllThresholds (unsigned int nodeId)
| Remove all thresholds added with AddThreshold. More...
void | RemoveAllThresholds ()
| Remove all thresholds added with AddThreshold. More...
void | RemoveAllLocations (unsigned int nodeId)
| Remove all locations added with AddLocation. More...
void | RemoveAllLocations ()
| Remove all locations added with AddLocation. More...
void | RemoveAllBlocks (unsigned int nodeId)
| Remove all blocks added with AddBlock. More...
void | RemoveAllBlocks ()
| Remove all blocks added with AddBlock. More...
void | SetContentType (unsigned int nodeId, int type)
| Set/Get the content type. More...
void | SetContentType (int contentType)
| Set/Get the content type. More...
int | GetContentTypeMinValue ()
| Set/Get the content type. More...
int | GetContentTypeMaxValue ()
| Set/Get the content type. More...
int | GetContentType (unsigned int nodeId)
| Set/Get the content type. More...
int | GetContentType ()
| Set/Get the content type. More...
void | SetContainingCells (unsigned int nodeId, vtkTypeBool containingCells)
| When extracting by points, extract the cells that contain the passing points. More...
void | SetContainingCells (vtkTypeBool containingCells)
| When extracting by points, extract the cells that contain the passing points. More...
vtkTypeBool | GetContainingCells (unsigned int nodeId)
| When extracting by points, extract the cells that contain the passing points. More...
vtkTypeBool | GetContainingCells ()
| When extracting by points, extract the cells that contain the passing points. More...
void | SetNumberOfLayers (unsigned int nodeId, int numberOfLayers)
| Set/Get the number of layers to extract connected to the selected elements. More...
void | SetNumberOfLayers (int numberOfLayers)
| Set/Get the number of layers to extract connected to the selected elements. More...
int | GetNumberOfLayersMinValue ()
| Set/Get the number of layers to extract connected to the selected elements. More...
int | GetNumberOfLayersMaxValue ()
| Set/Get the number of layers to extract connected to the selected elements. More...
int | GetNumberOfLayers (unsigned int nodeId)
| Set/Get the number of layers to extract connected to the selected elements. More...
int | GetNumberOfLayers ()
| Set/Get the number of layers to extract connected to the selected elements. More...
void | SetRemoveSeed (unsigned int nodeId, bool RemoveSeed)
| Set/Get the number of layers related flag to remove seed selection. More...
void | SetRemoveSeed (bool RemoveSeed)
| Set/Get the number of layers related flag to remove seed selection. More...
bool | GetRemoveSeed (unsigned int nodeId)
| Set/Get the number of layers related flag to remove seed selection. More...
bool | GetRemoveSeed ()
| Set/Get the number of layers related flag to remove seed selection. More...
void | SetRemoveIntermediateLayers (unsigned int nodeId, bool RemoveIntermediateLayers)
| Set/Get the number of layers related flag to remove intermediate layers. More...
void | SetRemoveIntermediateLayers (bool RemoveIntermediateLayers)
| Set/Get the number of layers related flag to remove intermediate layers. More...
bool | GetRemoveIntermediateLayers (unsigned int nodeId)
| Set/Get the number of layers related flag to remove intermediate layers. More...
bool | GetRemoveIntermediateLayers ()
| Set/Get the number of layers related flag to remove intermediate layers. More...
void | SetInverse (unsigned int nodeId, vtkTypeBool inverse)
| Determines whether the selection describes what to include or exclude. More...
void | SetInverse (vtkTypeBool inverse)
| Determines whether the selection describes what to include or exclude. More...
vtkTypeBool | GetInverse (unsigned int nodeId)
| Determines whether the selection describes what to include or exclude. More...
vtkTypeBool | GetInverse ()
| Determines whether the selection describes what to include or exclude. More...
void | SetArrayName (unsigned int nodeId, const char *name)
| Get/Set the name used for the SelectionList in the generated vtkSelectionNode. More...
void | SetArrayName (const char *name)
| Get/Set the name used for the SelectionList in the generated vtkSelectionNode. More...
const char * | GetArrayName (unsigned int nodeId)
| Get/Set the name used for the SelectionList in the generated vtkSelectionNode. More...
const char * | GetArrayName ()
| Get/Set the name used for the SelectionList in the generated vtkSelectionNode. More...
void | SetArrayComponent (unsigned int nodeId, int component)
| Set/Get the component number for the array specified by ArrayName. More...
void | SetArrayComponent (int component)
| Set/Get the component number for the array specified by ArrayName. More...
int | GetArrayComponent (unsigned int nodeId)
| Set/Get the component number for the array specified by ArrayName. More...
int | GetArrayComponent ()
| Set/Get the component number for the array specified by ArrayName. More...
void | SetCompositeIndex (unsigned int nodeId, int index)
| Set/Get the CompositeIndex. More...
void | SetCompositeIndex (int compositeIndex)
| Set/Get the CompositeIndex. More...
int | GetCompositeIndex (unsigned int nodeId)
| Set/Get the CompositeIndex. More...
int | GetCompositeIndex ()
| Set/Get the CompositeIndex. More...
void | SetHierarchicalLevel (unsigned int nodeId, int level)
| Set/Get the Hierarchical/HierarchicalIndex. More...
void | SetHierarchicalLevel (int level)
| Set/Get the Hierarchical/HierarchicalIndex. More...
int | GetHierarchicalLevel (unsigned int nodeId)
| Set/Get the Hierarchical/HierarchicalIndex. More...
int | GetHierarchicalLevel ()
| Set/Get the Hierarchical/HierarchicalIndex. More...
void | SetHierarchicalIndex (unsigned int nodeId, int index)
| Set/Get the Hierarchical/HierarchicalIndex. More...
void | SetHierarchicalIndex (int index)
| Set/Get the Hierarchical/HierarchicalIndex. More...
int | GetHierarchicalIndex (unsigned int nodeId)
| Set/Get the Hierarchical/HierarchicalIndex. More...
int | GetHierarchicalIndex ()
| Set/Get the Hierarchical/HierarchicalIndex. More...
void | SetAssemblyName (unsigned int nodeId, const char *name)
| For selector-based selection qualification. More...
void | SetAssemblyName (const char *name)
| For selector-based selection qualification. More...
const char * | GetAssemblyName (unsigned int nodeId)
| For selector-based selection qualification. More...
const char * | GetAssemblyName ()
| For selector-based selection qualification. More...
void | AddSelector (unsigned int nodeId, const char *selector)
| For selector-based selection qualification. More...
void | AddSelector (const char *selector)
| For selector-based selection qualification. More...
void | RemoveAllSelectors (unsigned int nodeId)
| For selector-based selection qualification. More...
void | RemoveAllSelectors ()
| For selector-based selection qualification. More...
void | SetQueryString (unsigned int nodeId, const char *queryString)
| Set/Get the query expression string. More...
void | SetQueryString (const char *query)
| Set/Get the query expression string. More...
const char * | GetQueryString (unsigned int nodeId)
| Set/Get the query expression string. More...
const char * | GetQueryString ()
| Set/Get the query expression string. More...
Public Member Functions inherited from vtkSelectionAlgorithm
vtkSelectionAlgorithm * | NewInstance () const
vtkTypeBool | ProcessRequest (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| see vtkAlgorithm for details More...
vtkSelection * | GetOutput ()
| Get the output data object for a port on this algorithm. More...
vtkSelection * | GetOutput (int index)
void | SetInputData (vtkDataObject *obj)
| Assign a data object as input. More...
void | SetInputData (int index, vtkDataObject *obj)
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkSelectionSource * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkSelectionSource * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkSelectionAlgorithm
static vtkSelectionAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkSelectionAlgorithm * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkSelectionSource ()
| ~vtkSelectionSource () override
int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
| This is called by the superclass. More...
Protected Member Functions inherited from vtkSelectionAlgorithm
| vtkSelectionAlgorithm ()
| ~vtkSelectionAlgorithm () override
virtual int | RequestUpdateExtent (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called by the superclass. More...
int | FillOutputPortInformation (int port, vtkInformation *info) override
| Fill the output port information objects for this algorithm. More...
int | FillInputPortInformation (int port, vtkInformation *info) override
| Fill the input port information objects for this algorithm. More...
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
std::string | Expression
int | FieldTypeOption
int | FieldType
int | ElementType
int | ProcessID
std::vector< std::shared_ptr< NodeInformation > > | NodesInfo
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
enum | FieldTypeOptions { FIELD_TYPE , ELEMENT_TYPE }
| Set/Get FieldTypeOption which is used to specify the selection field type for the selection. More...
virtual void | SetFieldTypeOption (int)
| Set/Get FieldTypeOption which is used to specify the selection field type for the selection. More...
virtual void | SetFieldTypeOptionToFieldType ()
| Set/Get FieldTypeOption which is used to specify the selection field type for the selection. More...
virtual void | SetFieldTypeOptionToElementType ()
| Set/Get FieldTypeOption which is used to specify the selection field type for the selection. More...
virtual int | GetFieldTypeOption ()
| Set/Get FieldTypeOption which is used to specify the selection field type for the selection. More...

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

Generate selection from given set of ids.

vtkSelectionSource generates a vtkSelection from a set of (piece id, cell id) pairs. It will only generate the selection values that match UPDATE_PIECE_NUMBER (i.e. piece == UPDATE_PIECE_NUMBER). vtkSelectionSource can generate a vtkSelection with one or many vtkSelectionNodes.

To generate only one vtkSelectionNode, use the functions which don't pass a nodeId to set/get the node information. To generate more than one vtkSelectionNode, use the SetNumberOfNodes/RemoveNode to manipulate the number of nodes, and use the functions that pass the nodeId to set the node information The different nodes can have different contentType per node but the fieldType/elementType is common across all nodes.

To define the relation between the nodes you can use SetExpression. If non-empty, the expression is a boolean expression that defines how the selection nodes present in the selection are to be combined together to form the selection. If no expression is specified and there are multiple selection nodes, then the default expression simply combines all the selection nodes using an `or` operator.

User-supplied, application-specific selections (with a ContentType of vtkSelectionNode::USER) are not supported.

Online Examples:

Tests:
  vtkSelectionSource (Tests)

Definition at line 53 of file vtkSelectionSource.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkSelectionAlgorithm vtkSelectionSource::Superclass

Definition at line 57 of file vtkSelectionSource.h.

## Member Enumeration Documentation

## ◆ FieldTypeOptions

enum vtkSelectionSource::FieldTypeOptions

Set/Get FieldTypeOption which is used to specify the selection field type for the selection.

If FIELD_TYPE is defined, set FieldType using accepted values as defined in vtkSelectionNode::SelectionField.

If ELEMENT_TYPE is defined, set ElementType using accepted values as defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported. ELEMENT_TYPE will be converted to FIELD_TYPE, internally, since vtkSelectionNode only accepts FIELD_TYPE.

The default is FIELD_TYPE.

Enumerator
FIELD_TYPE |
ELEMENT_TYPE |

Definition at line 114 of file vtkSelectionSource.h.

## Constructor & Destructor Documentation

## ◆ vtkSelectionSource()

vtkSelectionSource::vtkSelectionSource | ( |  | ) |
| protected

## ◆ ~vtkSelectionSource()

vtkSelectionSource::~vtkSelectionSource | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkSelectionSource* vtkSelectionSource::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkSelectionSource::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkSelectionSource::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkSelectionAlgorithm.

## ◆ SafeDownCast()

static vtkSelectionSource* vtkSelectionSource::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkSelectionSource::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkSelectionAlgorithm.

## ◆ NewInstance()

vtkSelectionSource* vtkSelectionSource::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkSelectionSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkSelectionAlgorithm.

## ◆ SetNumberOfNodes()

void vtkSelectionSource::SetNumberOfNodes | ( | unsigned int | numberOfNodes | ) |

Set/Get the number of nodes that will be created for the generated selection.

The default is 1.

## ◆ GetNumberOfNodes()

unsigned int vtkSelectionSource::GetNumberOfNodes | ( |  | ) |
| inline

Set/Get the number of nodes that will be created for the generated selection.

The default is 1.

Definition at line 67 of file vtkSelectionSource.h.

## ◆ RemoveNode() [1/2]

void vtkSelectionSource::RemoveNode | ( | unsigned int | idx | ) |

Remove a selection node.

## ◆ RemoveNode() [2/2]

void vtkSelectionSource::RemoveNode | ( | const char * | name | ) |

Remove a selection node.

## ◆ RemoveAllNodes()

virtual void vtkSelectionSource::RemoveAllNodes | ( |  | ) |
| virtual

Remove all selection nodes.

## ◆ vtkSetStdStringFromCharMacro()

vtkSelectionSource::vtkSetStdStringFromCharMacro | ( | Expression |  | ) |

Set/Get the expression that defines the boolean expression to combine the selection nodes.

Expression consists of node name identifiers, `|` for boolean-or, '^' for boolean-xor, '&' for boolean and, '!' for boolean not, and parenthesis `(` and `)`. If you want to set the expression, be sure to define the node names. If no expression is specified and there are multiple selection nodes, then the default expression simply combines all the selection nodes using an `or` operator.

`SetExpression` does not validate the expression. It will be validated in `internally.

## ◆ vtkGetCharFromStdStringMacro()

vtkSelectionSource::vtkGetCharFromStdStringMacro | ( | Expression |  | ) |

Set/Get the expression that defines the boolean expression to combine the selection nodes.

Expression consists of node name identifiers, `|` for boolean-or, '^' for boolean-xor, '&' for boolean and, '!' for boolean not, and parenthesis `(` and `)`. If you want to set the expression, be sure to define the node names. If no expression is specified and there are multiple selection nodes, then the default expression simply combines all the selection nodes using an `or` operator.

`SetExpression` does not validate the expression. It will be validated in `internally.

## ◆ SetFieldTypeOption()

virtual void vtkSelectionSource::SetFieldTypeOption | ( | int |  | ) |
| virtual

Set/Get FieldTypeOption which is used to specify the selection field type for the selection.

If FIELD_TYPE is defined, set FieldType using accepted values as defined in vtkSelectionNode::SelectionField.

If ELEMENT_TYPE is defined, set ElementType using accepted values as defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported. ELEMENT_TYPE will be converted to FIELD_TYPE, internally, since vtkSelectionNode only accepts FIELD_TYPE.

The default is FIELD_TYPE.

## ◆ SetFieldTypeOptionToFieldType()

virtual void vtkSelectionSource::SetFieldTypeOptionToFieldType | ( |  | ) |
| inlinevirtual

Set/Get FieldTypeOption which is used to specify the selection field type for the selection.

If FIELD_TYPE is defined, set FieldType using accepted values as defined in vtkSelectionNode::SelectionField.

If ELEMENT_TYPE is defined, set ElementType using accepted values as defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported. ELEMENT_TYPE will be converted to FIELD_TYPE, internally, since vtkSelectionNode only accepts FIELD_TYPE.

The default is FIELD_TYPE.

Definition at line 120 of file vtkSelectionSource.h.

## ◆ SetFieldTypeOptionToElementType()

virtual void vtkSelectionSource::SetFieldTypeOptionToElementType | ( |  | ) |
| inlinevirtual

Set/Get FieldTypeOption which is used to specify the selection field type for the selection.

If FIELD_TYPE is defined, set FieldType using accepted values as defined in vtkSelectionNode::SelectionField.

If ELEMENT_TYPE is defined, set ElementType using accepted values as defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported. ELEMENT_TYPE will be converted to FIELD_TYPE, internally, since vtkSelectionNode only accepts FIELD_TYPE.

The default is FIELD_TYPE.

Definition at line 121 of file vtkSelectionSource.h.

## ◆ GetFieldTypeOption()

virtual int vtkSelectionSource::GetFieldTypeOption | ( |  | ) |
| virtual

Set/Get FieldTypeOption which is used to specify the selection field type for the selection.

If FIELD_TYPE is defined, set FieldType using accepted values as defined in vtkSelectionNode::SelectionField.

If ELEMENT_TYPE is defined, set ElementType using accepted values as defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported. ELEMENT_TYPE will be converted to FIELD_TYPE, internally, since vtkSelectionNode only accepts FIELD_TYPE.

The default is FIELD_TYPE.

## ◆ SetFieldType()

virtual void vtkSelectionSource::SetFieldType | ( | int |  | ) |
| virtual

Set/Get the field type for the generated selection.

Possible values are as defined by vtkSelectionNode::SelectionField.

The default is vtkSelectionNode::SelectionField::CELL.

## ◆ GetFieldType()

virtual int vtkSelectionSource::GetFieldType | ( |  | ) |
| virtual

Set/Get the field type for the generated selection.

Possible values are as defined by vtkSelectionNode::SelectionField.

The default is vtkSelectionNode::SelectionField::CELL.

## ◆ SetElementType()

virtual void vtkSelectionSource::SetElementType | ( | int |  | ) |
| virtual

Set/Get which types of elements are being selected.

Accepted values are defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported.

The default is vtkDataObject::AttributeTypes::Cell.

## ◆ GetElementType()

virtual int vtkSelectionSource::GetElementType | ( |  | ) |
| virtual

Set/Get which types of elements are being selected.

Accepted values are defined in `vtkDataObject::AttributeTypes`. Note, `vtkDataObject::FIELD` and `vtkDataObject::POINT_THEN_CELL` are not supported.

The default is vtkDataObject::AttributeTypes::Cell.

## ◆ SetProcessID()

virtual void vtkSelectionSource::SetProcessID | ( | int |  | ) |
| virtual

Set/Get which process to limit the selection to.

`-1` is treated as all processes.

The default is -1.

## ◆ GetProcessID()

virtual int vtkSelectionSource::GetProcessID | ( |  | ) |
| virtual

Set/Get which process to limit the selection to.

`-1` is treated as all processes.

The default is -1.

## ◆ SetNodeName() [1/2]

void vtkSelectionSource::SetNodeName | ( | unsigned int | nodeId,
|  | const char * | name
| ) |  |

Set/Get the node name.

If you want to set the Expression, be sure to define the node names.

If the node name is not defined, a default node name is created atomically at each execution of the filter to guarantee uniqueness. GetNodeName() will return a non-empty name only if you have defined it before.

## ◆ SetNodeName() [2/2]

void vtkSelectionSource::SetNodeName | ( | const char * | name | ) |
| inline

Set/Get the node name.

If you want to set the Expression, be sure to define the node names.

If the node name is not defined, a default node name is created atomically at each execution of the filter to guarantee uniqueness. GetNodeName() will return a non-empty name only if you have defined it before.

Definition at line 176 of file vtkSelectionSource.h.

## ◆ GetNodeName() [1/2]

const char* vtkSelectionSource::GetNodeName | ( | unsigned int | nodeId | ) |

Set/Get the node name.

If you want to set the Expression, be sure to define the node names.

If the node name is not defined, a default node name is created atomically at each execution of the filter to guarantee uniqueness. GetNodeName() will return a non-empty name only if you have defined it before.

## ◆ GetNodeName() [2/2]

const char* vtkSelectionSource::GetNodeName | ( |  | ) |
| inline

Set/Get the node name.

If you want to set the Expression, be sure to define the node names.

If the node name is not defined, a default node name is created atomically at each execution of the filter to guarantee uniqueness. GetNodeName() will return a non-empty name only if you have defined it before.

Definition at line 178 of file vtkSelectionSource.h.

## ◆ AddID() [1/2]

void vtkSelectionSource::AddID | ( | unsigned int | nodeId,
|  | vtkIdType | piece,
|  | vtkIdType | id
| ) |  |

Add a (piece, id) to the selection set.

The source will generate only the ids for which piece == UPDATE_PIECE_NUMBER. If piece == -1, the id applies to all pieces.

## ◆ AddID() [2/2]

void vtkSelectionSource::AddID | ( | vtkIdType | piece,
|  | vtkIdType | id
| ) |  |
| inline

Add a (piece, id) to the selection set.

The source will generate only the ids for which piece == UPDATE_PIECE_NUMBER. If piece == -1, the id applies to all pieces.

Definition at line 188 of file vtkSelectionSource.h.

## ◆ AddStringID() [1/2]

void vtkSelectionSource::AddStringID | ( | unsigned int | nodeId,
|  | vtkIdType | piece,
|  | const char * | id
| ) |  |

Add a (piece, id) to the selection set.

The source will generate only the ids for which piece == UPDATE_PIECE_NUMBER. If piece == -1, the id applies to all pieces.

## ◆ AddStringID() [2/2]

void vtkSelectionSource::AddStringID | ( | vtkIdType | piece,
|  | const char * | id
| ) |  |
| inline

Add a (piece, id) to the selection set.

The source will generate only the ids for which piece == UPDATE_PIECE_NUMBER. If piece == -1, the id applies to all pieces.

Definition at line 190 of file vtkSelectionSource.h.

## ◆ AddLocation() [1/2]

void vtkSelectionSource::AddLocation | ( | unsigned int | nodeId,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |

Add a point in world space to probe at.

## ◆ AddLocation() [2/2]

void vtkSelectionSource::AddLocation | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline

Add a point in world space to probe at.

Definition at line 198 of file vtkSelectionSource.h.

## ◆ AddThreshold() [1/2]

void vtkSelectionSource::AddThreshold | ( | unsigned int | nodeId,
|  | double | min,
|  | double | max
| ) |  |

Add a value range to threshold within.

## ◆ AddThreshold() [2/2]

void vtkSelectionSource::AddThreshold | ( | double | min,
|  | double | max
| ) |  |
| inline

Add a value range to threshold within.

Definition at line 206 of file vtkSelectionSource.h.

## ◆ SetFrustum() [1/2]

void vtkSelectionSource::SetFrustum | ( | unsigned int | nodeId,
|  | double * | vertices
| ) |  |

Set a frustum to choose within.

## ◆ SetFrustum() [2/2]

void vtkSelectionSource::SetFrustum | ( | double * | vertices | ) |
| inline

Set a frustum to choose within.

Definition at line 214 of file vtkSelectionSource.h.

## ◆ AddBlock() [1/2]

void vtkSelectionSource::AddBlock | ( | unsigned int | nodeId,
|  | vtkIdType | block
| ) |  |

Add the flat-index/composite index for a block.

## ◆ AddBlock() [2/2]

void vtkSelectionSource::AddBlock | ( | vtkIdType | blockno | ) |
| inline

Add the flat-index/composite index for a block.

Definition at line 222 of file vtkSelectionSource.h.

## ◆ AddBlockSelector() [1/2]

void vtkSelectionSource::AddBlockSelector | ( | unsigned int | nodeId,
|  | const char * | block
| ) |  |

Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type.

## ◆ AddBlockSelector() [2/2]

void vtkSelectionSource::AddBlockSelector | ( | const char * | selector | ) |
| inline

Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type.

Definition at line 231 of file vtkSelectionSource.h.

## ◆ RemoveAllBlockSelectors() [1/2]

void vtkSelectionSource::RemoveAllBlockSelectors | ( | unsigned int | nodeId | ) |

Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type.

## ◆ RemoveAllBlockSelectors() [2/2]

void vtkSelectionSource::RemoveAllBlockSelectors | ( |  | ) |
| inline

Add/Remove block-selectors to make selections with vtkSelectionNode::BLOCK_SELECTORS as the content-type.

Definition at line 233 of file vtkSelectionSource.h.

## ◆ RemoveAllIDs() [1/2]

void vtkSelectionSource::RemoveAllIDs | ( | unsigned int | nodeId | ) |

Removes all IDs.

## ◆ RemoveAllIDs() [2/2]

void vtkSelectionSource::RemoveAllIDs | ( |  | ) |
| inline

Removes all IDs.

Definition at line 241 of file vtkSelectionSource.h.

## ◆ RemoveAllStringIDs() [1/2]

void vtkSelectionSource::RemoveAllStringIDs | ( | unsigned int | nodeId | ) |

Removes all IDs.

## ◆ RemoveAllStringIDs() [2/2]

void vtkSelectionSource::RemoveAllStringIDs | ( |  | ) |
| inline

Removes all IDs.

Definition at line 243 of file vtkSelectionSource.h.

## ◆ RemoveAllThresholds() [1/2]

void vtkSelectionSource::RemoveAllThresholds | ( | unsigned int | nodeId | ) |

Remove all thresholds added with AddThreshold.

## ◆ RemoveAllThresholds() [2/2]

void vtkSelectionSource::RemoveAllThresholds | ( |  | ) |
| inline

Remove all thresholds added with AddThreshold.

Definition at line 251 of file vtkSelectionSource.h.

## ◆ RemoveAllLocations() [1/2]

void vtkSelectionSource::RemoveAllLocations | ( | unsigned int | nodeId | ) |

Remove all locations added with AddLocation.

## ◆ RemoveAllLocations() [2/2]

void vtkSelectionSource::RemoveAllLocations | ( |  | ) |
| inline

Remove all locations added with AddLocation.

Definition at line 259 of file vtkSelectionSource.h.

## ◆ RemoveAllBlocks() [1/2]

void vtkSelectionSource::RemoveAllBlocks | ( | unsigned int | nodeId | ) |

Remove all blocks added with AddBlock.

## ◆ RemoveAllBlocks() [2/2]

void vtkSelectionSource::RemoveAllBlocks | ( |  | ) |
| inline

Remove all blocks added with AddBlock.

Definition at line 267 of file vtkSelectionSource.h.

## ◆ SetContentType() [1/2]

void vtkSelectionSource::SetContentType | ( | unsigned int | nodeId,
|  | int | type
| ) |  |

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

## ◆ SetContentType() [2/2]

void vtkSelectionSource::SetContentType | ( | int | contentType | ) |
| inline

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

Definition at line 279 of file vtkSelectionSource.h.

## ◆ GetContentTypeMinValue()

int vtkSelectionSource::GetContentTypeMinValue | ( |  | ) |
| inline

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

Definition at line 280 of file vtkSelectionSource.h.

## ◆ GetContentTypeMaxValue()

int vtkSelectionSource::GetContentTypeMaxValue | ( |  | ) |
| inline

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

Definition at line 281 of file vtkSelectionSource.h.

## ◆ GetContentType() [1/2]

int vtkSelectionSource::GetContentType | ( | unsigned int | nodeId | ) |

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

## ◆ GetContentType() [2/2]

int vtkSelectionSource::GetContentType | ( |  | ) |
| inline

Set/Get the content type.

Possible values are as defined by vtkSelectionNode::SelectionContent.

The default is vtkSelectionNode::SelectionContent::INDICES.

Definition at line 283 of file vtkSelectionSource.h.

## ◆ SetContainingCells() [1/2]

void vtkSelectionSource::SetContainingCells | ( | unsigned int | nodeId,
|  | vtkTypeBool | containingCells
| ) |  |

When extracting by points, extract the cells that contain the passing points.

The default is false.

## ◆ SetContainingCells() [2/2]

void vtkSelectionSource::SetContainingCells | ( | vtkTypeBool | containingCells | ) |
| inline

When extracting by points, extract the cells that contain the passing points.

The default is false.

Definition at line 294 of file vtkSelectionSource.h.

## ◆ GetContainingCells() [1/2]

vtkTypeBool vtkSelectionSource::GetContainingCells | ( | unsigned int | nodeId | ) |

When extracting by points, extract the cells that contain the passing points.

The default is false.

## ◆ GetContainingCells() [2/2]

vtkTypeBool vtkSelectionSource::GetContainingCells | ( |  | ) |
| inline

When extracting by points, extract the cells that contain the passing points.

The default is false.

Definition at line 299 of file vtkSelectionSource.h.

## ◆ SetNumberOfLayers() [1/2]

void vtkSelectionSource::SetNumberOfLayers | ( | unsigned int | nodeId,
|  | int | numberOfLayers
| ) |  |

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

## ◆ SetNumberOfLayers() [2/2]

void vtkSelectionSource::SetNumberOfLayers | ( | int | numberOfLayers | ) |
| inline

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

Definition at line 309 of file vtkSelectionSource.h.

## ◆ GetNumberOfLayersMinValue()

int vtkSelectionSource::GetNumberOfLayersMinValue | ( |  | ) |
| inline

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

Definition at line 310 of file vtkSelectionSource.h.

## ◆ GetNumberOfLayersMaxValue()

int vtkSelectionSource::GetNumberOfLayersMaxValue | ( |  | ) |
| inline

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

Definition at line 311 of file vtkSelectionSource.h.

## ◆ GetNumberOfLayers() [1/2]

int vtkSelectionSource::GetNumberOfLayers | ( | unsigned int | nodeId | ) |

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

## ◆ GetNumberOfLayers() [2/2]

int vtkSelectionSource::GetNumberOfLayers | ( |  | ) |
| inline

Set/Get the number of layers to extract connected to the selected elements.

The default is 0.

Definition at line 313 of file vtkSelectionSource.h.

## ◆ SetRemoveSeed() [1/2]

void vtkSelectionSource::SetRemoveSeed | ( | unsigned int | nodeId,
|  | bool | RemoveSeed
| ) |  |

Set/Get the number of layers related flag to remove seed selection.

The default is false.

## ◆ SetRemoveSeed() [2/2]

void vtkSelectionSource::SetRemoveSeed | ( | bool | RemoveSeed | ) |
| inline

Set/Get the number of layers related flag to remove seed selection.

The default is false.

Definition at line 323 of file vtkSelectionSource.h.

## ◆ GetRemoveSeed() [1/2]

bool vtkSelectionSource::GetRemoveSeed | ( | unsigned int | nodeId | ) |

Set/Get the number of layers related flag to remove seed selection.

The default is false.

## ◆ GetRemoveSeed() [2/2]

bool vtkSelectionSource::GetRemoveSeed | ( |  | ) |
| inline

Set/Get the number of layers related flag to remove seed selection.

The default is false.

Definition at line 325 of file vtkSelectionSource.h.

## ◆ SetRemoveIntermediateLayers() [1/2]

void vtkSelectionSource::SetRemoveIntermediateLayers | ( | unsigned int | nodeId,
|  | bool | RemoveIntermediateLayers
| ) |  |

Set/Get the number of layers related flag to remove intermediate layers.

The default is false.

## ◆ SetRemoveIntermediateLayers() [2/2]

void vtkSelectionSource::SetRemoveIntermediateLayers | ( | bool | RemoveIntermediateLayers | ) |
| inline

Set/Get the number of layers related flag to remove intermediate layers.

The default is false.

Definition at line 335 of file vtkSelectionSource.h.

## ◆ GetRemoveIntermediateLayers() [1/2]

bool vtkSelectionSource::GetRemoveIntermediateLayers | ( | unsigned int | nodeId | ) |

Set/Get the number of layers related flag to remove intermediate layers.

The default is false.

## ◆ GetRemoveIntermediateLayers() [2/2]

bool vtkSelectionSource::GetRemoveIntermediateLayers | ( |  | ) |
| inline

Set/Get the number of layers related flag to remove intermediate layers.

The default is false.

Definition at line 340 of file vtkSelectionSource.h.

## ◆ SetInverse() [1/2]

void vtkSelectionSource::SetInverse | ( | unsigned int | nodeId,
|  | vtkTypeBool | inverse
| ) |  |

Determines whether the selection describes what to include or exclude.

The Default is 0, meaning include.

## ◆ SetInverse() [2/2]

void vtkSelectionSource::SetInverse | ( | vtkTypeBool | inverse | ) |
| inline

Determines whether the selection describes what to include or exclude.

The Default is 0, meaning include.

Definition at line 350 of file vtkSelectionSource.h.

## ◆ GetInverse() [1/2]

vtkTypeBool vtkSelectionSource::GetInverse | ( | unsigned int | nodeId | ) |

Determines whether the selection describes what to include or exclude.

The Default is 0, meaning include.

## ◆ GetInverse() [2/2]

vtkTypeBool vtkSelectionSource::GetInverse | ( |  | ) |
| inline

Determines whether the selection describes what to include or exclude.

The Default is 0, meaning include.

Definition at line 352 of file vtkSelectionSource.h.

## ◆ SetArrayName() [1/2]

void vtkSelectionSource::SetArrayName | ( | unsigned int | nodeId,
|  | const char * | name
| ) |  |

Get/Set the name used for the SelectionList in the generated vtkSelectionNode.

## ◆ SetArrayName() [2/2]

void vtkSelectionSource::SetArrayName | ( | const char * | name | ) |
| inline

Get/Set the name used for the SelectionList in the generated vtkSelectionNode.

Definition at line 361 of file vtkSelectionSource.h.

## ◆ GetArrayName() [1/2]

const char* vtkSelectionSource::GetArrayName | ( | unsigned int | nodeId | ) |

Get/Set the name used for the SelectionList in the generated vtkSelectionNode.

## ◆ GetArrayName() [2/2]

const char* vtkSelectionSource::GetArrayName | ( |  | ) |
| inline

Get/Set the name used for the SelectionList in the generated vtkSelectionNode.

Definition at line 363 of file vtkSelectionSource.h.

## ◆ SetArrayComponent() [1/2]

void vtkSelectionSource::SetArrayComponent | ( | unsigned int | nodeId,
|  | int | component
| ) |  |

Set/Get the component number for the array specified by ArrayName.

The default is component 0. Use -1 for magnitude.

## ◆ SetArrayComponent() [2/2]

void vtkSelectionSource::SetArrayComponent | ( | int | component | ) |
| inline

Set/Get the component number for the array specified by ArrayName.

The default is component 0. Use -1 for magnitude.

Definition at line 373 of file vtkSelectionSource.h.

## ◆ GetArrayComponent() [1/2]

int vtkSelectionSource::GetArrayComponent | ( | unsigned int | nodeId | ) |

Set/Get the component number for the array specified by ArrayName.

The default is component 0. Use -1 for magnitude.

## ◆ GetArrayComponent() [2/2]

int vtkSelectionSource::GetArrayComponent | ( |  | ) |
| inline

Set/Get the component number for the array specified by ArrayName.

The default is component 0. Use -1 for magnitude.

Definition at line 375 of file vtkSelectionSource.h.

## ◆ SetCompositeIndex() [1/2]

void vtkSelectionSource::SetCompositeIndex | ( | unsigned int | nodeId,
|  | int | index
| ) |  |

Set/Get the CompositeIndex.

If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.

The default is -1.

## ◆ SetCompositeIndex() [2/2]

void vtkSelectionSource::SetCompositeIndex | ( | int | compositeIndex | ) |
| inline

Set/Get the CompositeIndex.

If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.

The default is -1.

Definition at line 386 of file vtkSelectionSource.h.

## ◆ GetCompositeIndex() [1/2]

int vtkSelectionSource::GetCompositeIndex | ( | unsigned int | nodeId | ) |

Set/Get the CompositeIndex.

If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.

The default is -1.

## ◆ GetCompositeIndex() [2/2]

int vtkSelectionSource::GetCompositeIndex | ( |  | ) |
| inline

Set/Get the CompositeIndex.

If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.

The default is -1.

Definition at line 388 of file vtkSelectionSource.h.

## ◆ SetHierarchicalLevel() [1/2]

void vtkSelectionSource::SetHierarchicalLevel | ( | unsigned int | nodeId,
|  | int | level
| ) |  |

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

## ◆ SetHierarchicalLevel() [2/2]

void vtkSelectionSource::SetHierarchicalLevel | ( | int | level | ) |
| inline

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

Definition at line 400 of file vtkSelectionSource.h.

## ◆ GetHierarchicalLevel() [1/2]

int vtkSelectionSource::GetHierarchicalLevel | ( | unsigned int | nodeId | ) |

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

## ◆ GetHierarchicalLevel() [2/2]

int vtkSelectionSource::GetHierarchicalLevel | ( |  | ) |
| inline

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

Definition at line 402 of file vtkSelectionSource.h.

## ◆ SetHierarchicalIndex() [1/2]

void vtkSelectionSource::SetHierarchicalIndex | ( | unsigned int | nodeId,
|  | int | index
| ) |  |

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

## ◆ SetHierarchicalIndex() [2/2]

void vtkSelectionSource::SetHierarchicalIndex | ( | int | index | ) |
| inline

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

Definition at line 404 of file vtkSelectionSource.h.

## ◆ GetHierarchicalIndex() [1/2]

int vtkSelectionSource::GetHierarchicalIndex | ( | unsigned int | nodeId | ) |

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

## ◆ GetHierarchicalIndex() [2/2]

int vtkSelectionSource::GetHierarchicalIndex | ( |  | ) |
| inline

Set/Get the Hierarchical/HierarchicalIndex.

If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL() and HIERARCHICAL_INDEX() keys are not added to the output.

The default for both is -1.

Definition at line 406 of file vtkSelectionSource.h.

## ◆ SetAssemblyName() [1/2]

void vtkSelectionSource::SetAssemblyName | ( | unsigned int | nodeId,
|  | const char * | name
| ) |  |

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

## ◆ SetAssemblyName() [2/2]

void vtkSelectionSource::SetAssemblyName | ( | const char * | name | ) |
| inline

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

Definition at line 416 of file vtkSelectionSource.h.

## ◆ GetAssemblyName() [1/2]

const char* vtkSelectionSource::GetAssemblyName | ( | unsigned int | nodeId | ) |

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

## ◆ GetAssemblyName() [2/2]

const char* vtkSelectionSource::GetAssemblyName | ( |  | ) |
| inline

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

Definition at line 418 of file vtkSelectionSource.h.

## ◆ AddSelector() [1/2]

void vtkSelectionSource::AddSelector | ( | unsigned int | nodeId,
|  | const char * | selector
| ) |  |

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

## ◆ AddSelector() [2/2]

void vtkSelectionSource::AddSelector | ( | const char * | selector | ) |
| inline

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

Definition at line 420 of file vtkSelectionSource.h.

## ◆ RemoveAllSelectors() [1/2]

void vtkSelectionSource::RemoveAllSelectors | ( | unsigned int | nodeId | ) |

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

## ◆ RemoveAllSelectors() [2/2]

void vtkSelectionSource::RemoveAllSelectors | ( |  | ) |
| inline

For selector-based selection qualification.

Note, this should not be confused with block-selectors used to select blocks using selectors. These here are qualifiers i.e. they limit the selected items.

Definition at line 422 of file vtkSelectionSource.h.

## ◆ SetQueryString() [1/2]

void vtkSelectionSource::SetQueryString | ( | unsigned int | nodeId,
|  | const char * | queryString
| ) |  |

Set/Get the query expression string.

## ◆ SetQueryString() [2/2]

void vtkSelectionSource::SetQueryString | ( | const char * | query | ) |
| inline

Set/Get the query expression string.

Definition at line 430 of file vtkSelectionSource.h.

## ◆ GetQueryString() [1/2]

const char* vtkSelectionSource::GetQueryString | ( | unsigned int | nodeId | ) |

Set/Get the query expression string.

## ◆ GetQueryString() [2/2]

const char* vtkSelectionSource::GetQueryString | ( |  | ) |
| inline

Set/Get the query expression string.

Definition at line 432 of file vtkSelectionSource.h.

## ◆ RequestInformation()

int vtkSelectionSource::RequestInformation | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| overrideprotectedvirtual

Reimplemented from vtkSelectionAlgorithm.

## ◆ RequestData()

int vtkSelectionSource::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| overrideprotectedvirtual

This is called by the superclass.

This is the method you should override.

Reimplemented from vtkSelectionAlgorithm.

## Member Data Documentation

## ◆ Expression

std::string vtkSelectionSource::Expression
| protected

Definition at line 444 of file vtkSelectionSource.h.

## ◆ FieldTypeOption

int vtkSelectionSource::FieldTypeOption
| protected

Definition at line 445 of file vtkSelectionSource.h.

## ◆ FieldType

int vtkSelectionSource::FieldType
| protected

Definition at line 446 of file vtkSelectionSource.h.

## ◆ ElementType

int vtkSelectionSource::ElementType
| protected

Definition at line 447 of file vtkSelectionSource.h.

## ◆ ProcessID

int vtkSelectionSource::ProcessID
| protected

Definition at line 448 of file vtkSelectionSource.h.

## ◆ NodesInfo

std::vector<std::shared_ptr<NodeInformation> > vtkSelectionSource::NodesInfo
| protected

Definition at line 450 of file vtkSelectionSource.h.

The documentation for this class was generated from the following file:

- Filters/Sources/vtkSelectionSource.h